com.fasterxml.jackson.dataformat.protobuf.schema

## Enum FieldType

- java.lang.Object
- - java.lang.Enum<FieldType>
  - - com.fasterxml.jackson.dataformat.protobuf.schema.FieldType

- All Implemented Interfaces:
    Serializable, Comparable<FieldType>

      public enum FieldType
      extends Enum<FieldType>

  Set of distinct types parsed from protoc, as unified considering that Java makes no distinction between signed and unsigned types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `BYTES`
    `DOUBLE`
    `ENUM`
    `FIXINT32`
    `FIXINT64`
    `FLOAT`
    `MESSAGE`
    `STRING`
    `VINT32_STD`
    `VINT32_Z`
    `VINT64_STD`
    `VINT64_Z`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<com.squareup.protoparser.DataType.ScalarType>` | `aliases()`
    `int` | `getWireType()`
    `boolean` | `usesZigZag()`
    `static FieldType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOUBLE

          public static final FieldType DOUBLE

    - #### FLOAT

          public static final FieldType FLOAT

    - #### VINT32_Z

          public static final FieldType VINT32_Z

    - #### VINT64_Z

          public static final FieldType VINT64_Z

    - #### VINT32_STD

          public static final FieldType VINT32_STD

    - #### VINT64_STD

          public static final FieldType VINT64_STD

    - #### FIXINT32

          public static final FieldType FIXINT32

    - #### FIXINT64

          public static final FieldType FIXINT64

    - #### BOOLEAN

          public static final FieldType BOOLEAN

    - #### STRING

          public static final FieldType STRING

    - #### BYTES

          public static final FieldType BYTES

    - #### ENUM

          public static final FieldType ENUM

    - #### MESSAGE

          public static final FieldType MESSAGE

  - ### Method Detail

    - #### values

          public static FieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FieldType c : FieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FieldType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getWireType

          public int getWireType()

    - #### usesZigZag

          public boolean usesZigZag()

    - #### aliases

          public Iterable<com.squareup.protoparser.DataType.ScalarType> aliases()

Copyright © 2019 FasterXML. All rights reserved.